<?php
// $Id: pifr_client.review.inc,v 1.2 2009/04/13 23:52:02 boombatower Exp $
/**
 * @file
 * Provide review functions.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

function pifr_client_review_run() {
  if (PIFR_CLIENT_TEST_START) {
    watchdog('pifr_client', 'Attempt to start review while already running.', array(), WATCHDOG_ALERT);
    return;
  }
  if (!variable_get('pifr_client_test', FALSE)) {
    watchdog('pifr_client', 'Attempt to start review without a test.', array(), WATCHDOG_ERROR);
    return;
  }

  variable_set('pifr_client_test_start', time());
  require_once drupal_get_path('module', 'pifr_client') . '/review/pifr_client_review.inc';

  $review = new PIFRClientReview(variable_get('pifr_client_test', FALSE));
  $review->run();

  // Reset variables.
  module_load_include('cron.inc', 'pifr_client');
  pifr_client_cron_clear_variables();

  // Report results
  module_load_include('xmlrpc.inc', 'pifr_client');
  pifr_client_xmlrpc_send_result($review->getResults());

  // Request next test.
  pifr_client_cron_request_next();
}
