<?php
// $Id: pgsql.inc,v 1.6 2009/07/17 20:46:14 boombatower Exp $
/**
 * @file
 * PostgreSQL review backend.
 *
 * @author Josh Waihi ("fiasco", http://drupal.org/user/188162)
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

class PIFRClientReviewDB_pgsql implements PIFRClientReviewDB {

  public function createDatabase() {
    global $db_url;
    $database = substr(parse_url($db_url['pifr_checkout'], PHP_URL_PATH), 1);
    return (bool) db_query("CREATE DATABASE %s", $database);
  }

  public function dropDatabase() {
    if (db_set_active('pifr_checkout')) {
      db_set_active();

      global $db_url;
      $database = substr(parse_url($db_url['pifr_checkout'], PHP_URL_PATH), 1);
      return (bool) db_query("DROP DATABASE %s", $database);
    }
    return TRUE;
  }

  public function setVariable($variable_name, $variable_value) {
    if (db_set_active('pifr_checkout')) {
      $status = db_query("INSERT INTO {variable} (name, value)
                VALUES ('%s', '%s')", $variable_name, serialize($variable_value));
      $status = $status && db_query('TRUNCATE TABLE cache');
      db_set_active();
      return $status;
    }
    return FALSE;
  }

  public function getAssertions() {
    if (db_set_active('pifr_checkout')) {
      $result = @db_query('SELECT *
                           FROM {simpletest}');
      db_set_active();
      return $result;
    }
    return FALSE;
  }
}
