<?php
// $Id: cvs.inc,v 1.4 2009/02/21 09:11:28 boombatower Exp $
/**
 * @file
 * CVS review backend.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

class PIFRClientReviewVCS_cvs implements PIFRClientReviewVCS {

  public function checkout($directory, $url, $branch) {
    if (!preg_match('/(.*?:\/cvs\/.*?)\/(.*?)$/m', $url, $matches)) {
      return FALSE;
    }
    $url = $matches[1];
    $module = $matches[2];

    return PIFRClientReview::exec("cvs -z6 -Q -d$url checkout -d$directory -r $branch $module");
  }

  public function apply($patch) {
    return PIFRClientReview::exec("patch -p0 -i $patch");
  }

  public function getChangedFiles($patch) {
    $contents = file_get_contents($patch);
    preg_match_all('/^[\+-]{3}\s+(.*?)\s/m', $contents, $matches, PREG_SET_ORDER);

    $files = array();
    foreach ($matches as $match) {
      $files[] = $match[1];
    }
    return $files;
  }
}
