<?php
// $Id: pifr_client.php,v 1.1 2009/07/09 01:22:26 boombatower Exp $
/**
 * @file
 * Provides a script to invoke the test client manually.
 *
 * Place this script in the Drupal root and access it directly through your web
 * browser.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

require_once drupal_get_path('module', 'pifr_client') . '/review/pifr_client_review.inc';

// Provide Drupal HEAD repository and blank patch.
$test = array(
  'test_id' => '17',
  'core' => array (
    'repository' => array (
      'type' => 'cvs',
      'url' => ':pserver:anonymous:anonymous@cvs.drupal.org:/cvs/drupal/drupal',
    ),
    'branch_identifier' => 'HEAD',
  ),
  'file_url' => url(drupal_get_path('module', 'pifr_server') .'/confirmation/pass.patch', array('absolute' => TRUE)),
);

// Invoke the review client.
$review = new PIFRClientReview($test);
$review->run();

// Print out information.
print '<h3>' . t('Test information') . '<h3>';
print_export($test);

print '<h3>' . t('Test error') . '</h3>';
print_export($review->getError());

print '<h3>' . t('Test results') . '</h3>';
print_export($review->getResults());

/**
 * Print a highlighted variable that has been exported.
 *
 * @param mixed $var Variable to print.
 */
function print_export($var) {
  print '<div>' . highlight_string("<?php\n" . var_export($var, TRUE) . "\n?>", TRUE) . '</div>';
}

drupal_page_footer();
