<?php
// $Id: pifr.admin.inc,v 1.7 2009/07/17 19:48:35 boombatower Exp $
/**
 * @file
 * Automatically review patches attached to issues.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * General dashboard form.
 */
function pifr_admin_dashboard_form(&$form_state) {
  $form = array();

  // Server role.
  $form['role'] = array(
    '#type' => 'fieldset',
    '#title' => t('Role'),
    '#attributes' => array('class' => 'container-inline')
  );
  $form['role']['client'] = array(
    '#type' => 'item',
    '#title' => t('Client'),
    '#value' => theme('pifr_state', module_exists('pifr_client'), 'warning')
  );
  $form['role']['server'] = array(
    '#type' => 'item',
    '#title' => t('Server'),
    '#value' => theme('pifr_state', module_exists('pifr_server'), 'warning')
  );

  // Server status.
  $form['status'] = array(
    '#type' => 'fieldset',
    '#title' => t('Status'),
    '#attributes' => array('class' => 'container-inline')
  );
  $form['status']['state'] = array(
    '#type' => 'item',
    '#title' => t('State'),
    '#value' => theme('pifr_state', PIFR_ACTIVE)
  );
  $form['status']['toggle_state'] = array(
    '#type' => 'submit',
    '#value' => t('Toggle state'),
    '#submit' => array('pifr_admin_dashboard_form_toggle_submit'),
    '#weight' => 1000
  );

  return $form;
}

/**
 * Toggle active variable.
 */
function pifr_admin_dashboard_form_toggle_submit($form, &$form_state) {
  variable_set('pifr_active', !PIFR_ACTIVE);
}

/**
 * Theme state value.
 *
 * @param boolean $enabled Enabled.
 * @param string $severity Severity of state if disabled: warning or error.
 * @return string HTML output.
 */
function theme_pifr_state($enabled, $severity = 'error') { // TODO Decide.
//  drupal_add_css(drupal_get_path('module', 'pifr') . '/pifr.css');
  if ($enabled) {
    return t('enabled') . '<br />';
//    return '<div class="pifr-ok">' . t('enabled') . '</div>';
//    return t('enabled !image', array('!image' => theme('image', 'misc/watchdog-ok.png')));
  }
  return t('disabled') . '<br />';
//  return '<div class="pifr-' . $severity . '">' . t('disabled') . '</div>';
//  return t('disabled !image', array('!image' => theme('image', 'misc/watchdog-' . $severity . '.png')));
}

/**
 * General configuration form.
 */
function pifr_admin_configuration_form(&$form_state) {
  $form = array();

  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General'),
    '#weight' => -10
  );
  $form['general']['pifr_debug'] = array(
    '#type' => 'checkbox',
    '#title' => t('Debug'),
    '#description' => t('Control the output of detailed debug information to the watchdog log. <b>Do not use on client.</b>'),
    '#default_value' => PIFR_DEBUG,
  );

  return system_settings_form($form);
}
