<?php
// $Id: pifr_server.admin.inc,v 1.10 2009/04/19 09:19:55 boombatower Exp $
/**
 * @file
 * Automatically review patches attached to issues.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Dispaly report value on general dashboard.
 */
function pifr_server_admin_dashboard_form(&$form, $form_state) {
  $form['status']['report'] = array(
    '#type' => 'item',
    '#title' => t('Report'),
    '#value' => theme('pifr_state', PIFR_SERVER_REPORT)
  );
  $form['status']['toggle_report'] = array(
    '#type' => 'submit',
    '#value' => t('Toggle report'),
    '#submit' => array('pifr_serveradmin_dashboard_form_toggle_submit'),
    '#weight' => 1001
  );
}

/**
 * Toggle report variable.
 */
function pifr_serveradmin_dashboard_form_toggle_submit($form, &$form_state) {
  variable_set('pifr_server_report', !PIFR_SERVER_REPORT);
}

/**
 * Display server key.
 */
function pifr_server_admin_configuration_form(&$form, $form_state) {
  $form['server'] = array(
    '#type' => 'fieldset',
    '#title' => t('Server'),
    '#weight' => -9
  );

  $form['server']['pifr_server_client_project_interval'] = array(
    '#type' => 'select',
    '#title' => t('Project client interval'),
    '#description' => t('The interval, in minutes, after which a project client will be re-confirmed.'),
    '#options' => drupal_map_assoc(array(
      5, 10, 15, 20, 25, 30
    )),
    '#default_value' => PIFR_SERVER_CLIENT_PROJECT_INTERVAL
  );
  $form['server']['pifr_server_client_test_interval'] = array(
    '#type' => 'select',
    '#title' => t('Test client interval'),
    '#description' => t('The interval, in hours, after which a test client will be re-confirmed.'),
    '#options' => drupal_map_assoc(array(
      6, 12, 24, 48, 72
    )),
    '#default_value' => PIFR_SERVER_CLIENT_TEST_INTERVAL
  );
}
