<?php
// $Id: pifr_server.project.inc,v 1.4 2009/02/25 08:52:03 boombatower Exp $
/**
 * @file
 * Provide project functions.
 *
 * Copyright 2008-2009 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

function pifr_server_project_get($project_id) {
  return db_fetch_array(db_query('SELECT *
                                   FROM {pifr_project}
                                   WHERE project_id = %d', $project_id));
}

function pifr_server_project_get_type($type, $client_id = NULL) {
  if ($client_id) {
    $result = db_query('SELECT *
                        FROM {pifr_project}
                        WHERE type = %d
                        AND client_id = %d', $type, $client_id);
  }
  else {
    $result = db_query('SELECT *
                        FROM {pifr_project}
                        WHERE type = %d', $type);
  }

  if ($type == PIFR_SERVER_PROJECT_TYPE_CORE) {
    return db_fetch_array($result);
  }

  $projects = array();
  while ($project = db_fetch_array($result)) {
    $projects[] = $project;
  }
  return $projects;
}

function pifr_server_project_find($project_nid, $client_id) {
  return db_fetch_array(db_query('SELECT *
                                   FROM {pifr_project}
                                   WHERE project_nid = %d
                                   AND client_id = %d', $project_nid, $client_id));
}

function pifr_server_project_save(array $project, $check = TRUE) {
  if ($check) {
    // Check if project already exists.
    $project_record = pifr_server_project_find($project['project_nid'], $project['client_id']);
    $project['project_id'] = ($project_record ? $project_record['project_id'] : NULL);
  }

  if ($project['project_id']) {
    // Existing project, update record.
    db_query("UPDATE {pifr_project}
              SET project_nid = %d,
                  client_id = %d,
                  name = '%s',
                  type = %d,
                  repository_type = '%s',
                  repository_url = '%s'
              WHERE project_id = %d", $project['project_nid'], $project['client_id'], $project['name'], $project['type'],
                                      $project['repository_type'], $project['repository_url'], $project['project_id']);
  }
  else {
    // New project, insert record.
    db_query("INSERT INTO {pifr_project} (project_nid, client_id, name, type, repository_type, repository_url)
              VALUES (%d, %d, '%s', %d, '%s', '%s')",
              $project['project_nid'], $project['client_id'], $project['name'], $project['type'],
              $project['repository_type'], $project['repository_url']);
    $project['project_id'] = db_last_insert_id('pifr_project', 'project_id');
  }
  return $project;
}
